Subject: bug#38557: GNOME Desktop Stuttering

From: Raghav Gururajan <[email-masked]>
Date: Sun, 22 Dec 2019 04:05:26 -0500

Hello!

NOTE: This email is posted to two different mail lists, due to their
relevance. Please 'reply-all' so that members of both mail lists can
follow up with the discussion.

I forgot to mention how to reproduce the issue.

1) Set up Guix System using a system configuration similar to 
https://bin.disroot.org/?510c2d858eb869e9#Ef9L5uG3TBiGspwp1X3kebFSoqPWi5XSvzNdisD3V8QY
2) Login into gnome-session via gdm.
3) Install and open ungoogled-chromium.
4) Visit for example https://einthusan.ca (can be accessed only from
CA, so may need a VPN server at CA) --> Movies --> Any Language --> Any
Movie. Play the video.
5) You will see desktop stuttering right away or within few minutes.
6) Reboot system.
7) Login into i3-wm session via gdm.
8) Repeat step 3 and 4. You will not encounter desktop stuttering.

Regards,
RG.

On Tue, 2019-12-10 at 08:03 -0500, Raghav Gururajan wrote:
> Hello Guix!
> 
> NOTE: This email is posted to two different mail lists, due to their
> relevance. Please 'reply-all' so that members of both mail lists can
> follow up with the discussion.
> 
> After GNOME 3.30 update (even after 3.32 update), I started facing
> desktop stuttering.
> 
> 50% of the time, when I play videos in mpv, the video along with
> whole
> desktop system (screen, windows, menus etc.) starts to stutter. 100%
> of
> the time, when I stream videos in ungoogled-chromium, he video along
> with whole desktop system (screen, windows, menus etc.) starts to
> stutter. During stuttering, I also noticed in system monitor, that
> processes ".gnome-shell-ca", ".gnome-shell-r" and ".gnome-system-m"
> intermittently hitting 100% CPU.
> 
> The above issues does not happen when I log-in as i3-wm session via
> gdm. They only happen inside gnome session.
> 
> Regards,
> RG.